Get short videos
Get an artist’s short videos, and the current audience of each video (comments/likes/views).
This endpoint is available for YouTube shorts and Instagram reels.
The refresh frequency for Instagram and YouTube short videos depends on the artist’s follower count on each platform:
- less than 9 followers: every 15 days
- between 10 and 149 followers: every 7 days
- between 150 and 499 followers: every 5 days
- between 500 and 4,999 followers: every 3 days
- more than 5,000: every 2 days
TikTok short video data is updated monthly.
Don't know the artist UUID yet? Use the Get artist by platform ID or Search artist by name endpoints.
Request
GET
/api/v2/artist/{uuid}/shorts/{platform}/videos
Path parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| uuid | string | An artist UUID | Required |
| platform | string | A platform code (instagram, youtube) | Required |
Query string parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| offset | integer | Get results starting from position | Optional |
| limit | integer | Number of results (max. 100) | Optional |
Response
| Code | Description | Resource |
|---|---|---|
| 200 |
OK
A social video collection response |
Social Video Collection |
| 401 |
Unauthorized
You are not logged in |
|
| 403 |
Forbidden
This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. |
|
| 404 |
Not Found
Artist not found |